The NetBSD Project

CVS log for pkgsrc/sysutils/dbus-python-common/Makefile

[BACK] Up to [cvs.NetBSD.org] / pkgsrc / sysutils / dbus-python-common

Request diff between arbitrary revisions


Default branch: MAIN


Revision 1.33 / (download) - annotate - [select for diffs], Mon Aug 14 05:25:14 2023 UTC (6 months, 3 weeks ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2023Q4-base, pkgsrc-2023Q4, pkgsrc-2023Q3-base, pkgsrc-2023Q3, HEAD
Changes since 1.32: +2 -1 lines
Diff to previous 1.32 (colored)

*: recursive bump for Python 3.11 as new default

Revision 1.32 / (download) - annotate - [select for diffs], Sat Aug 12 02:55:44 2023 UTC (6 months, 3 weeks ago) by wiz
Branch: MAIN
Changes since 1.31: +2 -2 lines
Diff to previous 1.31 (colored)

dbus-python-common: resture build dependency on Python

configure checks if it can link against libpython.0

Revision 1.31 / (download) - annotate - [select for diffs], Wed Aug 9 09:05:11 2023 UTC (6 months, 3 weeks ago) by nia
Branch: MAIN
Changes since 1.30: +3 -3 lines
Diff to previous 1.30 (colored)

dbus-python-common: Depend on python-as-tool using tool.mk.

The build system expects an unversioned "python" executable to be
available and in pkgsrc we do this through tool.mk.

Revision 1.30 / (download) - annotate - [select for diffs], Mon Aug 7 05:16:06 2023 UTC (6 months, 4 weeks ago) by adam
Branch: MAIN
Changes since 1.29: +2 -1 lines
Diff to previous 1.29 (colored)

dbus-python-common: needs pyversion.mk

Revision 1.29 / (download) - annotate - [select for diffs], Sat Aug 5 06:08:47 2023 UTC (6 months, 4 weeks ago) by adam
Branch: MAIN
Changes since 1.28: +4 -7 lines
Diff to previous 1.28 (colored)

dbus-python-common: updated to 1.3.2

dbus Python Bindings 1.3.2 (2022-09-06)
=======================================

Fixes:

* Reinstate PKG-INFO and egg-info in source tarball, so that it can be
  used as a PyPI sdist

* Fix reStructured Text formatting in NEWS


dbus Python Bindings 1.3.0 (2022-09-06)
=======================================

Dependencies:

* Python 3, version 3.5 or later, is required.
  An upstream-supported version (currently 3.7 or later) is strongly
  recommended, and a future version of dbus-python is likely to require
  Python 3.7 or later.
  Python 2 is no longer supported.

* Installing from source code using Meson requires Python 3.5 or later
  and Meson 0.56.2 or later. This is now the recommended build system.

* Installing from source code using Autotools requires Python 3.5 or later.
  The Autotools build system is likely to be removed in a future version.

* Installing from PyPI using pip or from source code via setup.py
  requires Python 3.7 or later, Meson 0.60.3 or later, meson-python 0.8.1
  or later, and their dependencies (ninja, patchelf, setuptools, wheel).

API changes:

* dbus.gobject_service, dbus.types.UTF8String and the utf8_strings
  keyword argument were only usable with Python 2, and therefore have
  been removed, along with the rest of the special cases for Python 2.

Enhancements:

* Add a Meson build system

* Add methods to Message objects to manipulate the interactive
  authorization flag

* Add licensing information in REUSE format

Fixes:

* Raise ValueError instead of crashing with assertion failure when a
  Unix fd index number is greater than the number of fds actually attached
  to the message

* Raise ValueError instead of crashing with assertion failure when
  a negative number is passed to the UnixFd constructor

* Fix undefined escape sequences in docstrings

* Make `distcheck` compatible with Automake 1.16.4, by forcing an
  appropriate prefix to be used

* Update AX_PYTHON_DEVEL from autoconf-archive for better
  forwards-compatibility

* Avoid various deprecation warnings in the build system

  - distutils.sysconfig „śsysconfig
  - distutils.util „śsysconfig
  - AC_PROG_LIBTOOL „śLT_INIT
  - AC_HELP_STRING „śAS_HELP_STRING

* Fix CI for recent Python and Automake versions

* Update bug reporting URL

Revision 1.28 / (download) - annotate - [select for diffs], Tue Jun 6 12:42:18 2023 UTC (8 months, 4 weeks ago) by riastradh
Branch: MAIN
CVS Tags: pkgsrc-2023Q2-base, pkgsrc-2023Q2
Changes since 1.27: +2 -2 lines
Diff to previous 1.27 (colored)

Mass-change BUILD_DEPENDS to TOOL_DEPENDS outside mk/.

Almost all uses, if not all of them, are wrong, according to the
semantics of BUILD_DEPENDS (packages built for target available for
use _by_ tools at build-time) and TOOL_DEPEPNDS (packages built for
host available for use _as_ tools at build-time).

No change to BUILD_DEPENDS as used correctly inside buildlink3.

As proposed on tech-pkg:
https://mail-index.netbsd.org/tech-pkg/2023/06/03/msg027632.html

Revision 1.27 / (download) - annotate - [select for diffs], Thu Dec 30 13:24:01 2021 UTC (2 years, 2 months ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2023Q1-base, pkgsrc-2023Q1, pkgsrc-2022Q4-base, pkgsrc-2022Q4, pkgsrc-2022Q3-base, pkgsrc-2022Q3, pkgsrc-2022Q2-base, pkgsrc-2022Q2, pkgsrc-2022Q1-base, pkgsrc-2022Q1
Changes since 1.26: +1 -2 lines
Diff to previous 1.26 (colored)

Do not mention Python 3.6

Revision 1.26 / (download) - annotate - [select for diffs], Wed Dec 8 16:06:27 2021 UTC (2 years, 2 months ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2021Q4-base, pkgsrc-2021Q4
Changes since 1.25: +2 -1 lines
Diff to previous 1.25 (colored)

revbump for icu and libffi

Revision 1.25 / (download) - annotate - [select for diffs], Thu Jul 29 09:58:49 2021 UTC (2 years, 7 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2021Q3-base, pkgsrc-2021Q3
Changes since 1.24: +3 -3 lines
Diff to previous 1.24 (colored)

dbus-python-common: update to 1.2.18.

dbus Python Bindings 1.2.18 (2021-07-20)
========================================

Build-time configuration changes:

„ŗdbus-python will be built for python3 if neither PYTHON nor
  PYTHON_VERSION is specified. Use a command like

      ./configure PYTHON=$(command -v python2)

  if installation for Python 2 (EOL 2020-01-01) is required.

Dependencies:

Python 2 reached end-of-life on 2020-01-01. A future version of
  dbus-python is likely to remove Python 2 support.

Fixes:

Move from collections.Sequence to collections.abc.Sequence on
  Python 3.3, for Python 3.10 compatibility
  (dbus-python#37; Simon McVittie)

Avoid another deprecation warning for inspect.getargspec().
  This is similar to the one fixed in 1.2.4, but for dbus.decorators.signal
  rather than dbus.decorators.method. (dbus-python!8; Martin Stumpf)

Fix an unlikely fd leak if memory allocation fails for UnixFd
  (dbus-python!9, Red Hat #1938703; David King)

Fix memory and fd leak if UnixFd is given an invalid negative
  variant_level (Simon McVittie)

Avoid more deprecation warnings:
  - gi.repository.GObject.MainLoop etc. (now used via gi.repository.GLib)
  - gi.repository.GLib.threads_init (no longer necessary at all)
  (Simon McVittie)

Disable -Wdeclaration-after-statement. Python 3.9 relies on intermixed
  declarations and statements in its headers, so we can no longer
  enforce this. (Simon McVittie)

Convert examples to Python 3 (Simon McVittie)

Use the same Python executable for build and dist/distcheck by default
  (Simon McVittie)

CI fixes:

Stop installing tap.py for Python 2. The latest version only supports
  Python 3. (Simon McVittie)

Move from Python 3.8 on Debian unstable (no longer available) to
  3.9 on Debian 11 (Simon McVittie)

Also test with Python 3.10 on Ubuntu 21.10 (Simon McVittie)

Remove Travis-CI integration, only use Gitlab-CI (Simon McVittie)

Revision 1.24 / (download) - annotate - [select for diffs], Sat May 2 14:58:17 2020 UTC (3 years, 10 months ago) by rillig
Branch: MAIN
CVS Tags: pkgsrc-2021Q2-base, pkgsrc-2021Q2, pkgsrc-2021Q1-base, pkgsrc-2021Q1, pkgsrc-2020Q4-base, pkgsrc-2020Q4, pkgsrc-2020Q3-base, pkgsrc-2020Q3, pkgsrc-2020Q2-base, pkgsrc-2020Q2
Changes since 1.23: +2 -2 lines
Diff to previous 1.23 (colored)

sysutils/dbus-python-common: fix unknown configure option

Revision 1.23 / (download) - annotate - [select for diffs], Sun Mar 8 16:51:15 2020 UTC (3 years, 11 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2020Q1-base, pkgsrc-2020Q1
Changes since 1.22: +2 -1 lines
Diff to previous 1.22 (colored)

*: recursive bump for libffi

Revision 1.22 / (download) - annotate - [select for diffs], Mon Jan 27 10:42:12 2020 UTC (4 years, 1 month ago) by wiz
Branch: MAIN
Changes since 1.21: +2 -2 lines
Diff to previous 1.21 (colored)

py-dbus: update to 1.2.16

dbus Python Bindings 1.2.16 (2020-01-14)
========================================

The ◊√ag of assorted swords„ŗrelease.

Enhancements:

„ŗAll tests are run even if the tap.py module is not available, although
  diagnostics for failing tests will be better if it is present.
  (Simon McVittie)

Fixes:

Forbid unexpanded AX-prefixed macros more selectively, similar to
  dbus#249. (Simon McVittie)

Revision 1.21 / (download) - annotate - [select for diffs], Sat Jan 18 23:35:15 2020 UTC (4 years, 1 month ago) by rillig
Branch: MAIN
Changes since 1.20: +2 -2 lines
Diff to previous 1.20 (colored)

all: migrate several HOMEPAGEs to https

pkglint --only "https instead of http" -r -F

With manual adjustments afterwards since pkglint 19.4.4 fixed a few
indentations in unrelated lines.

This mainly affects projects hosted at SourceForce, as well as
freedesktop.org, CTAN and GNU.

Revision 1.20 / (download) - annotate - [select for diffs], Tue Dec 31 11:53:39 2019 UTC (4 years, 2 months ago) by wiz
Branch: MAIN
Changes since 1.19: +2 -2 lines
Diff to previous 1.19 (colored)

py-dbus, dbus-python-common: Update to 1.2.14

dbus Python Bindings 1.2.14 (2019-11-25)
========================================

The ◊Ňon't stand in the fire„ŗrelease.

Fixes:

„ŗEnsure that the numeric types from dbus.types get the same str()
  under Python 3.8 that they did under previous versions. Previously,
  Python 3.8 used their repr() for the str(), which was not intended.
  (dbus-python#31; matclab, Simon McVittie)

Disable -Winline (Simon McVittie)

Add Python 3.8 to CI (Simon McVittie)

Revision 1.19 / (download) - annotate - [select for diffs], Wed Nov 13 15:26:22 2019 UTC (4 years, 3 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2019Q4-base, pkgsrc-2019Q4
Changes since 1.18: +5 -5 lines
Diff to previous 1.18 (colored)

dbus-python-common: update to 1.2.12.

dbus Python Bindings 1.2.12 (2019-09-12)
========================================

The ◊‘pinal bap„ŗrelease.

Fixes:

„ŗDon't save and restore the exception indicator when called from C code.
  This avoided "returned a result with an error set" errors under some
  circumstances, but also caused a regression for code that relies on
  being able to terminate the program by calling sys.exit() or raising
  SystemExit from a dbus-python method. In particular, this broke one of
  libsecret's unit tests. (Debian #940087; Simon McVittie)

D-Bus Python Bindings 1.2.10 (2019-09-02)
=========================================

The ◊ōing√®d horserelease.

dbus-python version control is now hosted on freedesktop.org's Gitlab
installation, and bug reports and feature requests have switched from
Bugzilla bugs (indicated by "fd.o #nnn") to Gitlab issues
("dbus-python#nnn") and merge requests ("dbus-python!nnn"). See README
and CONTRIBUTING.md for more details.

Dependencies:

„ŗdbus 1.8 was already required, but is more strongly required now:
  the workarounds that were used to run continuous integration with dbus
  1.6 on Ubuntu 14.04 'trusty' have been removed. (Note that dbus 1.8
  has already reached end-of-life for security support, and newer dbus
  stable branches are strongly recommended.)

When using Python 3, version 3.5 or later is strongly recommended.
  Python 3.4 security support ended in March 2019. No specific
  incompatibilities are known, but using dbus-python on Python 3.4 is
  no longer tested or supported.

Enhancements:

Rewrite CONTRIBUTING.md document, based on Wayland's equivalent
  (Simon McVittie, with thanks to Ander Conselvan de Oliveira,
  Bryce Harrington, Eric Engestrom, Pekka Paalanen and Daniel Stone
  for their contributions to the equivalent file in Wayland)

A generated ChangeLog file is no longer included in source tarballs.
  Please refer to the git repository at
  https://gitlab.freedesktop.org/dbus/dbus-python for detailed change
  history. (Simon McVittie)

Improve continuous integration to be run by GitLab in addition to
  Travis-CI (Simon McVittie)

Add clearer license information using SPDX-License-Identifier
  (Simon McVittie)

Improve test coverage (Simon McVittie)

Fixes:

Don't set deprecated tp_print to NULL under Python 3, fixing build
  warnings with Python 3.8 pre-releases (Simon McVittie)

Include inherited methods and properties when documenting objects,
  which regressed when migrating from epydoc to sphinx
  (Simon McVittie)

Add missing variant_level member to UnixFd type, for parity with the
  other dbus.types types (dbus-python!3; John Baublitz)

    - Note that this is a potentially incompatible change: unknown
      keyword arguments were previously ignored (!) and are now an error.

Don't reply to method calls if they have the NO_REPLY_EXPECTED flag
  (fd.o#32529, dbus-python#26; Simon McVittie)

Silence -Wcast-function-type with gcc 8 (Simon McVittie)

Fix distcheck with python3.7 by deleting __pycache__ during uninstall
  (Simon McVittie)

Consistently save and restore the exception indicator when called
  from C code (Simon McVittie)

Avoid a long-standing race condition in the automated tests
  (Debian #898158; Simon McVittie)

Fix Qt website URL (Ralf Habacker)

Revision 1.18 / (download) - annotate - [select for diffs], Mon Nov 4 21:28:43 2019 UTC (4 years, 4 months ago) by rillig
Branch: MAIN
Changes since 1.17: +9 -9 lines
Diff to previous 1.17 (colored)

sysutils: align variable assignments

pkglint -Wall -F --only aligned --only indent -r

Manually excluded consolekit and dc-tools since pkglint didn't get the
formatting correct.

Revision 1.17 / (download) - annotate - [select for diffs], Fri Apr 26 13:14:14 2019 UTC (4 years, 10 months ago) by maya
Branch: MAIN
CVS Tags: pkgsrc-2019Q3-base, pkgsrc-2019Q3, pkgsrc-2019Q2-base, pkgsrc-2019Q2
Changes since 1.16: +2 -2 lines
Diff to previous 1.16 (colored)

Omit mentions of python 34 and 35, after those were removed.

- Includes some whitespace changes, to be handled in a separate commit.

Revision 1.16 / (download) - annotate - [select for diffs], Thu Apr 25 07:33:18 2019 UTC (4 years, 10 months ago) by maya
Branch: MAIN
Changes since 1.15: +2 -1 lines
Diff to previous 1.15 (colored)

PKGREVISION bump for anything using python without a PYPKGPREFIX.

This is a semi-manual PKGREVISION bump.

Revision 1.15 / (download) - annotate - [select for diffs], Mon May 7 11:26:30 2018 UTC (5 years, 9 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2019Q1-base, pkgsrc-2019Q1, pkgsrc-2018Q4-base, pkgsrc-2018Q4, pkgsrc-2018Q3-base, pkgsrc-2018Q3, pkgsrc-2018Q2-base, pkgsrc-2018Q2
Changes since 1.14: +2 -2 lines
Diff to previous 1.14 (colored)

py-dbus, dbus-python-common: Update to 1.2.8

D-Bus Python Bindings 1.2.8 (2018-05-04)
========================================

The ◊ńursed ice surface„ŗrelease.

Dependencies:

„ŗDocumentation requires Sphinx and the readthedocs theme
Documentation no longer requires epydoc

Enhancements:

Build documentation with Sphinx instead of epydoc

Remove obsolete COMPAT.txt, documenting compatibility breaks in
  versions over a decade old

Fixes:

Make sure $(builddir)/test exists before creating .test files there

Add PKG-INFO and egg_info to dist tarballs so they can be uploaded
  to PyPI again

Revision 1.14 / (download) - annotate - [select for diffs], Sun Feb 11 16:52:54 2018 UTC (6 years ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2018Q1-base, pkgsrc-2018Q1
Changes since 1.13: +3 -4 lines
Diff to previous 1.13 (colored)

py-dbus: Update python dbus bindings to 1.2.6.

D-Bus Python Bindings 1.2.6 (2018-01-29)
========================================

The ◊Ňoppler radar„ŗrelease.

Dependencies:

„ŗWhen using Python 2, version 2.7 is now required. Python 2.6 security
  support ended in 2013.
When using Python 3, version 3.4 or later is now required.
  Python 3.2 security support ended in 2016, and Python 3.3 security
  support ended in 2017.
Most unit tests now require the tap.py module from PyPI.
The deprecated dbus-glib library is no longer required. A bundled copy
  of its main loop integration code is included instead.
GLib version 2.40 or later is required.
libdbus version 1.8 or later is required.

Enhancements:

AX_PYTHON_DEVEL is now used to find the CPPFLAGS, LDFLAGS and libraries
  needed to link test-import-repeatedly to libpython, which should reduce
  the number of wheels reinvented here.

Remove workarounds for Python 2.6 limitations

All unit tests now produce structured output (TAP)

Fixes:

Fix a NULL dereference in constructing a Server if the underlying C
  function fails

Silence compiler warnings triggered by the Python headers under gcc 7

Avoid __gtype__ appearing in documentation, for reproducible builds

Rename _dbus_bindings/ and _dbus_glib_bindings/ source directories to
  dbus_bindings/ and dbus_glib_bindings/ to avoid an ImportWarning
  appearing in the API documentation, which made the documentation build
  non-reproducible

Revision 1.13 / (download) - annotate - [select for diffs], Sun Jan 1 14:43:57 2017 UTC (7 years, 2 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2017Q4-base, pkgsrc-2017Q4, pkgsrc-2017Q3-base, pkgsrc-2017Q3, pkgsrc-2017Q2-base, pkgsrc-2017Q2, pkgsrc-2017Q1-base, pkgsrc-2017Q1
Changes since 1.12: +2 -2 lines
Diff to previous 1.12 (colored)

Add python-3.6 to incompatible versions.

Revision 1.12 / (download) - annotate - [select for diffs], Sat Jul 9 13:04:06 2016 UTC (7 years, 7 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2016Q4-base, pkgsrc-2016Q4, pkgsrc-2016Q3-base, pkgsrc-2016Q3
Changes since 1.11: +2 -2 lines
Diff to previous 1.11 (colored)

Remove python33: adapt all packages that refer to it.

Revision 1.11 / (download) - annotate - [select for diffs], Fri Apr 15 10:15:15 2016 UTC (7 years, 10 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2016Q2-base, pkgsrc-2016Q2
Changes since 1.10: +3 -3 lines
Diff to previous 1.10 (colored)

Update python dbus bindings to 1.2.4.

D-Bus Python Bindings 1.2.4 (2016-03-06)
========================================

The 5,000 microchips„ŗrelease.

Enhancements:

„ŗContinous integration metadata for travis-ci.org is now available.
  Similar to dbus, this is split into .travis.yml (Travis-specifics)
  and tools/ci-build.sh (intended to be useful for any CI framework,
  although it does include various workarounds for travis-ci oddities).
  (Simon McVittie)

Fixes:

Make dbus.version a tuple again, not a list, for consistent sorting.
  This was a regression in 1.2.2. (Debian #816729, Simon McVittie)

Use inspect.signature() instead of inspect.getargspec() on Python
  versions that have it. inspect.getargspec() is deprecated in recent
  Python 3 and seems to have disappeared from 3.6 nightly builds.
  (Simon McVittie)

Make the tests pass in "narrow" Python builds where unicode objects
  are UTF-16, rather than the UCS-4 used in Linux distributions.
  (fd.o #57140, Simon McVittie)

Always include headers in a consistent order (Debian #749133, Simon McVittie)

Include config.h in all C code that we compile. This is necessary
  on platforms where it might contain something like "#define _GNU_SOURCE"
  or "#define inline __inline".
  (Simon McVittie)

Revision 1.10 / (download) - annotate - [select for diffs], Thu Mar 3 12:16:24 2016 UTC (8 years ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2016Q1-base, pkgsrc-2016Q1
Changes since 1.9: +6 -7 lines
Diff to previous 1.9 (colored)

Update dbus python bindings to 1.2.2.

D-Bus Python Bindings 1.2.2 (2016-02-22)
========================================

The ◊őind fray„ŗrelease.

Versioning changes:

„ŗdbus-python releases now have an even micro version (1.2.0, 1.2.2),
  and snapshots from git have an odd micro version (1.2.1).

Dependencies:

Building from git (but not from tarballs) now requires
  macros from the GNU Autoconf Archive, for example the autoconf-archive
  package in Debian or Fedora derivatives.

Building from git (but not from tarballs) now requires Automake 1.13
  or later.

The automated tests and some examples now require PyGI (the gi module),
  not PyGObject 2 (the deprecated glib and gobject modules).

Enhancements:

There is now a setuptools setup.py, allowing dbus-python to be installed
  into a virtualenv using pip from a standard Automake source release. This
  requires pre-existing system-wide installations of the normal build
  dependencies (pkg-config, libdbus, dbus-glib, a C compiler) and has
  some limitations. For system-wide installations and development,
  please use the Autoconf/Automake build system directly.
  (fd.o #55439; Simon McVittie)

dbus-python now uses the common compiler warnings from AX_COMPILER_FLAGS
  (Simon McVittie)

The automated tests can now be installed as GNOME-style "installed tests",
  and should be somewhat more reliable (Simon McVittie)

Fixes:

"from dbus.service import *" now imports FallbackObject
  (fd.o #85720; Ben Longbons)

The GConf-related examples work again (fd.o #85720; Ben Longbons)

Consistently make examples executable, and install them all
  (fd.o #85720; Ben Longbons)

Search PATH for an appropriately-versioned pythonX.Y-config, or as a last
  resort python-config, if there isn't a ${PYTHON}-config in the
  same directory as ${PYTHON} (fd.o #92085; Yamashita, Yuu)

Add support for the Automake 1.13 parallel test driver (Simon McVittie)

Skip building API documentation if "import epydoc" fails (Simon McVittie)

Revision 1.9 / (download) - annotate - [select for diffs], Fri Feb 26 10:24:12 2016 UTC (8 years ago) by jperkin
Branch: MAIN
Changes since 1.8: +2 -5 lines
Diff to previous 1.8 (colored)

Use OPSYSVARS.

Revision 1.8 / (download) - annotate - [select for diffs], Sat Dec 5 21:25:58 2015 UTC (8 years, 3 months ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2015Q4-base, pkgsrc-2015Q4
Changes since 1.7: +2 -2 lines
Diff to previous 1.7 (colored)

Extend PYTHON_VERSIONS_INCOMPATIBLE to 35

Revision 1.7 / (download) - annotate - [select for diffs], Fri May 9 07:37:19 2014 UTC (9 years, 9 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2015Q3-base, pkgsrc-2015Q3, pkgsrc-2015Q2-base, pkgsrc-2015Q2, pkgsrc-2015Q1-base, pkgsrc-2015Q1, pkgsrc-2014Q4-base, pkgsrc-2014Q4, pkgsrc-2014Q3-base, pkgsrc-2014Q3, pkgsrc-2014Q2-base, pkgsrc-2014Q2
Changes since 1.6: +2 -2 lines
Diff to previous 1.6 (colored)

Mark packages that are not ready for python-3.3 also not ready for 3.4,
until proven otherwise.

Revision 1.6 / (download) - annotate - [select for diffs], Sat Jan 25 10:30:21 2014 UTC (10 years, 1 month ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2014Q1-base, pkgsrc-2014Q1
Changes since 1.5: +2 -2 lines
Diff to previous 1.5 (colored)

Mark packages as not ready for python-3.x where applicable;
either because they themselves are not ready or because a
dependency isn't. This is annotated by
PYTHON_VERSIONS_INCOMPATIBLE=  33 # not yet ported as of x.y.z
or
PYTHON_VERSIONS_INCOMPATIBLE=  33 # py-foo, py-bar
respectively, please use the same style for other packages,
and check during updates.

Use versioned_dependencies.mk where applicable.
Use REPLACE_PYTHON instead of handcoded alternatives, where applicable.
Reorder Makefile sections into standard order, where applicable.

Remove PYTHON_VERSIONS_INCLUDE_3X lines since that will be default
with the next commit.

Whitespace cleanups and other nits corrected, where necessary.

Revision 1.5 / (download) - annotate - [select for diffs], Wed May 29 22:59:32 2013 UTC (10 years, 9 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2013Q4-base, pkgsrc-2013Q4, pkgsrc-2013Q3-base, pkgsrc-2013Q3, pkgsrc-2013Q2-base, pkgsrc-2013Q2
Changes since 1.4: +3 -5 lines
Diff to previous 1.4 (colored)

Update to 1.2.0.

D-Bus Python Bindings 1.2.0 (2013-05-07)
========================================

The "compile like it's 1998" release.

Dependencies:

libdbus 1.6 or later is now required.

Enhancements:

Unicode Corrigendum 9: when used with a suitable version of libdbus
  (1.6.10 or later, or 1.7.2 or later), noncharacters in strings are
  now accepted

Fixes:

Support DBusException('something with non«ĘSCII') under Python 2
  (Michael Vogt, smcv; fd.o #55899)

„ŗCorrect some misleading wording in COPYING which was written under the
  assumption that libdbus could actually be relicensed to MIT/X11
  (Thiago Macieira)

Avoid variable-length arrays, because MSVC++ is still stuck in 1998
  (based on patches from Christoph Höger, fd.o #51725)

Remove unnecessary uses of stdint.h (fd.o #51725)

Add support for Unix compilers not supporting 'inline', for completeness

Use GObject.__class__ instead of GObjectMeta, which can no longer be
  imported from gi.repository.GObject in pygobject 3.8

Fix autoreconfiscation on Automake 1.13 (Marko Lindqvist, fd.o #59006)

Revision 1.4 / (download) - annotate - [select for diffs], Tue Oct 23 19:50:57 2012 UTC (11 years, 4 months ago) by asau
Branch: MAIN
CVS Tags: pkgsrc-2013Q1-base, pkgsrc-2013Q1, pkgsrc-2012Q4-base, pkgsrc-2012Q4
Changes since 1.3: +1 -3 lines
Diff to previous 1.3 (colored)

Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.

Revision 1.3 / (download) - annotate - [select for diffs], Sat Sep 15 10:06:22 2012 UTC (11 years, 5 months ago) by obache
Branch: MAIN
CVS Tags: pkgsrc-2012Q3-base, pkgsrc-2012Q3
Changes since 1.2: +2 -1 lines
Diff to previous 1.2 (colored)

recursive bump from libffi shlib major bump
(additionaly, reset PKGREVISION of qt4-* sub packages from base qt4 update)

Revision 1.2 / (download) - annotate - [select for diffs], Wed Aug 8 16:35:26 2012 UTC (11 years, 6 months ago) by drochner
Branch: MAIN
Changes since 1.1: +3 -1 lines
Diff to previous 1.1 (colored)

CONFLICTS with old py-dbus, from Patrick Welche

Revision 1.1 / (download) - annotate - [select for diffs], Wed Aug 1 18:01:24 2012 UTC (11 years, 7 months ago) by drochner
Branch: MAIN

put the Python version independant files from py-dbus into an own pkg,
to allow coexistence of py-dbus for different Python versions

This form allows you to request diff's between any two revisions of a file. You may select a symbolic revision name using the selection box or you may type in a numeric name using the type-in text box.




CVSweb <webmaster@jp.NetBSD.org>